#ifndef __XML2TSAX_H
#define __XML2TSAX_H

class CXML2TSAX : public IParse2TSAX
{
public:
    // *** IUnknownCL methods ***
    CL_STDMETHOD(QueryInterface) (RCLIID riid, void **ppvObj);
    CL_STDMETHOD_(ULONG,AddRef) ();
    CL_STDMETHOD_(ULONG,Release) ();
    
    // *** IParse2TSAX methods ***
    CL_STDMETHOD(Parse) (IStream *pstm, ITSAXContentHandler *pch);
    CL_STDMETHOD_(unsigned int, getSrcOffset) ();
    CL_STDMETHOD(skip) (unsigned int skipDepth);
    
    CXML2TSAX() : m_cRef(1), indexMgr(0)
    {
    }
    
    virtual ~CXML2TSAX()
    {
	  if (indexMgr) delete indexMgr;
    }
    
private:
  ULONG m_cRef;
  XMLParser m_xmlParser;
  Depth2offset * indexMgr;
};

#endif // __XML2TSAX_H